package com.ruoyi.web.controller.manager;

import cn.hutool.core.convert.Convert;
import cn.hutool.core.text.CharSequenceUtil;
import com.ruoyi.common.utils.ShiroUtils;
import com.ruoyi.system.domain.carrier.TdCarrier;
import com.ruoyi.system.service.carrier.TdCarrierService;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.Arrays;
import java.util.Date;
import java.util.List;

/**
 * packageName com.ruoyi.web.controller.manager
 *
 * @author wangxy
 * @version JDK 8
 * @className CarrierManager
 * @date 2024/8/21
 * @description 载体管理
 */
@Component
public class CarrierManager {

    @Resource
    private TdCarrierService carrierService;


    public List<TdCarrier> selectTdCarrierList(TdCarrier tdCarrier) {
        return carrierService.selectTdCarrierList(tdCarrier);
    }

    public List<TdCarrier> selectTdCarrierUpdateList(TdCarrier tdCarrier) {
        return carrierService.selectTdCarrierUpdateList(tdCarrier);
    }


    public boolean saveOrUpdate(TdCarrier tdCarrier) {
        if (CharSequenceUtil.isNotBlank(tdCarrier.getId())) {
            tdCarrier.setUpdateBy(ShiroUtils.getSysUser().getLoginName());
            tdCarrier.setUpdateTime(new Date());
        } else {
            tdCarrier.setCreateBy(ShiroUtils.getSysUser().getLoginName());
            tdCarrier.setCreateTime(new Date());
        }
        return carrierService.saveOrUpdate(tdCarrier);
    }


    public TdCarrier selectTdCarrier(String id) {
        return carrierService.getById(id);
    }


    public boolean deletedTdCarrierByids(String ids) {
        List<String> list = Arrays.asList(Convert.toStrArray(ids));
        return carrierService.removeByIds(list);
    }


    public boolean updateStatus(String id,String status) {
        return carrierService.lambdaUpdate()
                .eq(TdCarrier::getId,id)
                .set(TdCarrier::getStatus,status)
                .update();
    }
}
