package com.ruoyi.system.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;

import com.ruoyi.common.annotation.Excel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 涉密设备信息
 * @TableName td_property_ement
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TdPropertyEment implements Serializable {
    /**
     * 登记编号
     */
    @TableId
    private String id;

    /**
     * 资产id
     */
    private String useId;

    /**
     * 名称
     */
    @Excel(name = "名称")
    private String name;

    /**
     * 用途
     */
    @Excel(name = "用途")
    private String purposes;

    /**
     * 备注
     */
    @Excel(name = "备注")
    private String remark;

    /**
     * 维护部门
     */
    private String maintainDepart;

    /**
     * 维护人员
     */
    private String maintainUser;

    /**
     * 维护日期
     */
    private Date maintainDate;

    /**
     * 维护状态
     */
    private String maintainState;

    /**
     * 销毁状态
     */
    private String destoryState;

    /**
     * 销毁部门
     */
    private String destoryDepart;

    /**
     * 销毁人员
     */
    private String destoryUser;

    /**
     * 销毁日期
     */
    private Date destoryDate;

    /**
     * 报废类型
     */
    private String destoryType;

    /**
     * 维护备注
     */
    private String maintainRemark;

    /**
     * 创建时间
     */
    private Date createTime;


    /**
     * 维护旁站人员
     */
    private String maintainStand;


    /**
     * 销毁旁站人员
     */
    private String destoryStand;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}