package com.ruoyi.system.domain.place;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;


import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * 涉密场所
 * @author 13560
 * @TableName td_place
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TdPlace extends BaseEntity {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 场所名称
     */
    private String placeName;

    /**
     * 场所规范
     */
    private String placeRule;


    /**
     * 变更后场所名称
     */
    private String afterName;

    /**
     * 变更后场所规范
     */
    private String afterRule;


    /**
     * 状态 :登记1，变更2，删除0
     */
    private String state;


    /**
     * 是否解除；默认0，变更解除为1
     */
    private String isDissolve;


    /** 变更后时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date afterTime;


    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}