package com.ruoyi.system.domain.place;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 涉密场所出入登记
 * @author 13560
 * @TableName td_place_regist
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TdPlaceRegist extends BaseEntity {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 场所id
     */
    private String placeId;

    /**
     * 场所名称
     */
    private String placeName;

    /**
     * 登记人员名称
     */
    private String registName;

    /**
     * 登记日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date registTime;

    /**
     * 事由
     */
    private String subjectMatter;

    /**
     * 进入时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date accessTime;

    /**
     * 离开时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date leaveTime;

    /**
     * 陪同人员
     */
    private String entourageName;

    /**
     * 所属单位
     */
    private Long deptId;

    /**
     * 所属单位
     */
    private String deptName;


    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}