package com.ruoyi.system.domain.userexam.dto.response;

import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * packageName com.ruoyi.system.domain.userexam.dto.response
 *
 * @author wangxy
 * @version JDK 8
 * @className UserExamExportDTO
 * @date 2024/8/7
 * @description 考试记录
 */
@Data
@ApiModel(value="考试记录", description="考试记录")
public class UserExamExportDTO implements Serializable {


    private static final long serialVersionUID = 1L;


    private String id;

    @ApiModelProperty(value = "用户ID")
    private Long userId;

    @ApiModelProperty(value = "考试ID")
    private String examId;

    @ApiModelProperty(value = "考试名称")
    @Excel(name = "考试名称")
    private String title;

    @ApiModelProperty(value = "人员名称")
    @Excel(name = "人员名称")
    private String userName;

    @ApiModelProperty(value = "考试次数")
    @Excel(name = "考试次数")
    private Integer tryCount;

    @ApiModelProperty(value = "最高分数")
    @Excel(name = "最高分数")
    private Integer maxScore;

    @ApiModelProperty(value = "是否通过")
    @Excel(name = "是否通过", readConverterExp = "false=未通过,true=通过")
    private Boolean passed;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @Excel(name = "最后考试时间", dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
}
