package com.ruoyi.system.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.domain.TdPropertyInfo;
import com.ruoyi.system.domain.count.PropertyDesCountDTO;
import com.ruoyi.system.domain.count.PropertyStateCountDTO;
import com.ruoyi.system.domain.count.UserCountDTO;

/**
 * 密品管理Mapper接口
 * 
 * @author ruoyi
 * @date 2024-04-29
 */
public interface TdPropertyInfoMapper extends BaseMapper<TdPropertyInfo>
{
    /**
     * 查询密品管理
     * 
     * @param id 密品管理主键
     * @return 密品管理
     */
    public TdPropertyInfo selectTdPropertyInfoById(String id);

    public List<TdPropertyInfo> selectTdPropertyInfoByUseId(String id);

    /**
     * 查询密品管理列表
     * 
     * @param tdPropertyInfo 密品管理
     * @return 密品管理集合
     */
    public List<TdPropertyInfo> selectTdPropertyInfoList(TdPropertyInfo tdPropertyInfo);

    /**
     * 新增密品管理
     * 
     * @param tdPropertyInfo 密品管理
     * @return 结果
     */
    public int insertTdPropertyInfo(TdPropertyInfo tdPropertyInfo);

    /**
     * 修改密品管理
     * 
     * @param tdPropertyInfo 密品管理
     * @return 结果
     */
    public int updateTdPropertyInfo(TdPropertyInfo tdPropertyInfo);

    /**
     * 删除密品管理
     * 
     * @param id 密品管理主键
     * @return 结果
     */
    public int deleteTdPropertyInfoById(String id);

    /**
     * 批量删除密品管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTdPropertyInfoByIds(String[] ids);

    public PropertyStateCountDTO selectCountBF();

    public PropertyDesCountDTO selectCountXH();
}
